require("guiLib/guiLib")

-- Create screen
keysTutoScreen = CreateScreen("keysTutoScreen", ScreenConfig(screenSize))

keysTutoScreen:SetBackgroundColor(Color(0, 0, 0))

-- Mouse
local spr = keysTutoScreen:CreateSprite("mouse")
spr:SetImage(tutoMouseTex)
spr:SetPosition(Vector2D(544, 133))

local tmp = keysTutoScreen:CreateText("txt", _("Shoot with the main weapon"))
local txtSize = tmp:GetTextSize()
tmp:SetPosition(Vector2D(547 - 20, 160) - Vector2D(txtSize.x, txtSize.y / 2))

local tmp = keysTutoScreen:CreateText("txt", _("Shoot with the plasma weapon\n(Avaible in the store)"))
local txtSize = tmp:GetTextSize()
tmp:SetPosition(Vector2D(733 + 20, 160) - Vector2D(0, txtSize.y / 2))

-- Tab
local spr = keysTutoScreen:CreateSprite("tab")
spr:SetImage(tutoKeyTabTex)
spr:SetPosition(Vector2D(430 - spr:GetSize().x, 495))

local tmp = keysTutoScreen:CreateText("txt", _("Show / hide store\n(The placed where you can improve or get new weapons)"))
local txtSize = tmp:GetTextSize()
tmp:SetPosition(spr:GetPosition() + Vector2D(spr:GetSize().x + 20, spr:GetSize().y / 2) - Vector2D(0, txtSize.y / 2))

-- Space
local spr = keysTutoScreen:CreateSprite("space")
spr:SetImage(tutoKeySpaceTex)
spr:SetPosition(Vector2D(430 - spr:GetSize().x, 674))

local tmp = keysTutoScreen:CreateText("txt", _("Use the freeze weapon\n(Avaible in the store)"))
local txtSize = tmp:GetTextSize()
tmp:SetPosition(spr:GetPosition() + Vector2D(spr:GetSize().x + 20, spr:GetSize().y / 2) - Vector2D(0, txtSize.y / 2))

-- Bt
local btSize = texMenuBtNormal:GetSize()

-- The menu
local bt = keysTutoScreen:CreateGroup("startGameBt")
buttonControlCreate(bt, _("Start"), btSize)
buttonSetEventFunction(bt, function() quitKeyTuto(); end)
buttonSetFont(bt, 34, Color(0, 0, 0))
buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
bt:SetPosition(Vector2D(851, 909))



-- Event go back to game
keysTutoScreen:RegisterButtonEvent(function()
									if life ~= 0 then
										quitKeyTuto()
									end
								end, "Escape", true)

function quitKeyTuto()
	if life ~= 0 then
		ChangeScreen(gameScreen)
	else
		ChangeScreen(menuScreen)
	end
end
